#! /bin/sh
#
# module :
# preparation of temporary (before deployement) of superbib results directory
# - tree;
# - copy of constant images copie des images;
# - copy of CSS style sheet;
# - etc.
#
# update :
# $Id$
# fplod 2007-09-28T08:43:10Z aedon.locean-ipsl.upmc.fr (Darwin)
# parametrisation and translation
# fplod 2007-03-30T09:55:49Z aedon.locean-ipsl.upmc.fr (Darwin)
# cration
#
#
set -o posix
command=$(basename ${0} .sh)
log_date=$(date -u +"%Y-%m-%dT%H:%M:%SZ")
log=/tmp/${command}.${log_date}
#
usage=" Usage : ${command} -p product -s dirsrc -w dirwww -l lang -mono|-multi"
#
minargcount=9
#echo " narg ${#}"
if [ ${#} -lt ${minargcount} ]
then
  echo "eee : not enought arguments"
  echo "${usage}"
  exit 1
fi
#
while [ ! -z "${1}" ]
do
 case ${1} in
 -p) # product
  product=${2}
  shift
 ;;
 -s) # dirsrc
  dirsrc=${2}
  shift
 ;;
 -w) # dirwww
  dirwww=${2}
  shift
 ;;
 -l) # lang
  lang=${2}
  shift
 ;;
 -mono ) # monolingual
  monolingual=1
 ;;
 -multi ) # multiingual
  monolingual=0
 ;;
 esac
 shift # next flag
done
#
set -u
#
# destruction of previous installation
/bin/rm -r ${dirwww}/ 2> /dev/null
#
# building of directories
mkdir -p ${dirwww}/images/
mkdir -p ${dirwww}/php/
if [ ${monolingual} = 0 ]
then
 mkdir -p ${dirwww}/${lang}/one/
 mkdir -p ${dirwww}/${lang}/many/${product}03/
 mkdir -p ${dirwww}/${lang}/many/${product}04/
else
 mkdir -p ${dirwww}/one/
 mkdir -p ${dirwww}/many/${product}03/
 mkdir -p ${dirwww}/many/${product}04/
fi
#
list_php="${dirsrc}/phpversion.php ${dirsrc}/server.php ${dirsrc}/timestamp.php"
for file_php in ${list_php}
do
 cp ${file_php} ${dirwww}/php/
done
#
if [ ${monolingual} = 0 ]
then
 mkdir -p ${dirwww}/${lang}//images/ # ++ parce que un niveau de plus que d'haibitude dans les chunck
cp ${dirsrc}/images/* ${dirwww}/images/
cp ${dirsrc}/images/* ${dirwww}/${lang}/images/ # ++ parce que un niveau de plus que d'habitude dans les chunck
else
 mkdir -p ${dirwww}/images/ # ++ parce que un niveau de plus que d'haibitude dans les chunck
 cp ${dirsrc}/images/* ${dirwww}/images/
fi
#
# copy of CSS
cp ${dirsrc}/*.css ${dirwww}/
cp ${dirsrc}/*.css ${dirwww}/${lang}/ # ++ parce que un niveau de plus que d'haibitude dans les chunck
#
# modification of directory time in order to trigger the generation of HTML
# files
find ${dirwww}/ -type d -exec touch -t 199912310000 {} \;
#
# end
exit 0
